#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           poxml
Epoch:          1
Version: 24.12.2
Release:        %mkrel %{rel}
Summary:        Xml2po and vice versa converters
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
Url:            https://apps.kde.org/categories/development/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6DocTools)

BuildRequires:  gettext-devel

Recommends:     md5deep


%description
Software Development Kit for the K Desktop Environment.

%files
%_kf6_bindir/po2xml
%_kf6_bindir/split2po
%_kf6_bindir/swappo
%_kf6_bindir/xml2pot
%_kf6_mandir/man1/po2xml.1.*
%_kf6_mandir/man1/split2po.1.*
%_kf6_mandir/man1/swappo.1.*
%_kf6_mandir/man1/xml2pot.1.*
%_kf6_mandir/*/man1/po2xml.1.*
%_kf6_mandir/*/man1/split2po.1.*
%_kf6_mandir/*/man1/swappo.1.*
%_kf6_mandir/*/man1/xml2pot.1.*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Tue Feb 11 2025 daviddavid <daviddavid> 1:24.12.2-1.mga10
+ Revision: 2147286
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 1:24.12.1-1.mga10
+ Revision: 2136683
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 1:24.12.0-1.mga10
+ Revision: 2123928
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 1:24.11.80-1.mga10
+ Revision: 2116480
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 1:24.08.3-1.mga10
+ Revision: 2114175
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 1:24.08.2-1.mga10
+ Revision: 2105673
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 1:24.08.1-1.mga10
+ Revision: 2097539
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 1:24.08.0-1.mga10
+ Revision: 2087731
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2085250
- New version 24.07.90
- switch to Qt6/KF6

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073347
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2069996
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058741
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045278
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037777
- New version 24.01.95

* Sat Jan 27 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2035477
- New version 24.01.90
- New version 24.01.85

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989716
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958292
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946604
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941897
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1923019
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911513
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905364
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886884
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880868
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873181
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1854071
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849578
- New version 22.03.90

* Tue Apr 05 2022 umeabot <umeabot> 1:21.12.0-2.mga9
+ Revision: 1845345
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763963
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724174
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718455
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698663
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694189
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655712
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644093
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633913
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627152
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1615023
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604217
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596954
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584604
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568231
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559421
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540607
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513396
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1467054
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457999
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446506
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425087
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390542
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1387760
- New version 19.03.90

* Mon Apr 01 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1384066
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375771
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365665
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356602
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 1:18.12.0-1.mga7
+ Revision: 1339607
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332837
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327490
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-3.mga7
+ Revision: 1300362
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 pterjan <pterjan> 1:18.04.1-2.mga7
+ Revision: 1240806
- Remove antlr BuildRequires, it seems it hasn't been needed for 4 years

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1229156
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201987
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1195009
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1186551
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143143
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136949
- New version 17.07.90

* Tue Jul 25 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1130853
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090173
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076915
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072105
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067422
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061486
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050749
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047402
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040153
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012643
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004431
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 995009
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 1:15.12.3-1.mga6
+ Revision: 991266
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 1:15.12.2-1.mga6
+ Revision: 987545
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 1:15.12.1-1.mga6
+ Revision: 922708
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 1:15.12.0-1.mga6
+ Revision: 912056
- New version 15.12.0

* Sat Nov 28 2015 neoclust <neoclust> 1:15.11.80-1.mga6
+ Revision: 906912
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 1:15.08.3-1.mga6
+ Revision: 901078
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 1:15.08.1-1.mga6
+ Revision: 880933
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 1:15.08.0-1.mga6
+ Revision: 866376
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 1:15.07.80-1.mga6
+ Revision: 859201
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800684
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787782
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 749371
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734636
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 687757
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667570
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663082
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656760
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653945
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652056
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  buildrequires gettext-devel

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636819
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625586
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615667
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609575
- build po2xml & swappo (mga#12612)
  + add missing buildrequires antlr-C++ & antlr-tool
  + disable parallel build to fix swappo build
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606920
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603427
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600757
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590546
- New version 4.12.2

* Tue Feb 11 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 589274
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555078
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551350
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540369
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490817
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476900
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465240
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458996
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455381
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Sat Jun 29 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448214
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package poxml

